/* === This file is part of Calamares - <http://github.com/calamares> ===
 *
 *   Copyright 2015, Teo Mrnjavac <teo@kde.org>
 *
 *   Calamares is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, either version 3 of the License, or
 *   (at your option) any later version.
 *
 *   Calamares is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with Calamares. If not, see <http://www.gnu.org/licenses/>.
 */

import QtQuick 2.0;
import calamares.slideshow 1.0;

Presentation
{
    id: presentation

    Timer {
        interval: 30000
        running: true
        repeat: true
        onTriggered: presentation.goToNextSlide()
    }

    Slide {
        Image {
            id: background01
            source: "background.jpg"
            width: 1920; height: 1200
            fillMode: Image.PreserveAspectFit
            anchors.centerIn: parent
        }
        Image {
            id: background1
            source: "desktop-kde-300x225.jpg"
            width: 400; height: 225
            fillMode: Image.PreserveAspectFit
            anchors.centerIn: parent
        }
        Text {
            anchors.horizontalCenter: background1.horizontalCenter
            anchors.top: parent.top
            text: "<h2>Thanks for choosing 15 years old Hungarian blackPanther OS!</h2><br/>Megtisztelő és köszönjük, hogy a már 15 éves magyar blackPanther OS-t választottad!<br/><br/>"
            wrapMode: Text.WordWrap
            horizontalAlignment: Text.Center
        }
        Text {
            anchors.horizontalCenter: background1.horizontalCenter
            anchors.top: background1.bottom
            text: "<br/><b>The blackPanther OS are available with Plasma 5 / A blackPanther OS Plasma5-el érhető el</b><br/><br/><br/>"+
                  "For every user who wants a modern, felxible, multimedia and productive system.<br/>"+
                  "Minden felhasználónak aki egy modern, felxibilis, multimédiás és produktív rendszert akar.<br/><br/>"
            wrapMode: Text.WordWrap
            horizontalAlignment: Text.Center
        }
    }

    Slide {
        Image {
            id: background02
            source: "background.jpg"
            width: 1920; height: 1200
            fillMode: Image.PreserveAspectFit
            anchors.centerIn: parent
        }
        Image {
            id: background2
            source: "desktop-other-300x225.jpg"
            width: 400; height: 225
            fillMode: Image.PreserveAspectFit
            anchors.centerIn: parent
        }
        Text {
            anchors.horizontalCenter: background2.horizontalCenter
            anchors.top: parent.top
            text: "<h2>Megtisztelő, hogy a 15 éves magyar blackPanther OS választottad!</h2><br/>Thanks for choosing 15 years old Hungarian blackPanther OS!<br/><br/><br/>"
            wrapMode: Text.WordWrap
            horizontalAlignment: Text.Center
        }
        Text {
            anchors.horizontalCenter: background2.horizontalCenter
            anchors.top: background2.bottom
            text: "<br/><b>Yes! Many Other Light Desktop are available / Igen! Több könnyebb asztali környezet elérhető</b><br/><br/>"+
                  "Szervernek vagy munkaállomásként, elavult PC-re vagy beágyazott rendszernek is telepíthető.<br/>"+
                  "For server installation or desktop on obsolete PC, embedded systems, single-board PC.<br/><br/>"
            wrapMode: Text.WordWrap
            horizontalAlignment: Text.Center
        }
    }

    Slide {
        Image {
            id: background03
            source: "background.jpg"
            width: 1920; height: 1200
            fillMode: Image.PreserveAspectFit
            anchors.centerIn: parent
        }
        Image {
            id: background3
            source: "desktop-eff-300x225.jpg"
            width: 400; height: 225
            fillMode: Image.PreserveAspectFit
            anchors.centerIn: parent
        }
        Text {
            anchors.horizontalCenter: background3.horizontalCenter
            anchors.top: parent.top
            text: "<h2>You can gain the most modern user experience on blackPanther OS!</h2><br/>A legmodernebb felhasználói élményben lehet részed blackPather OS-en!<br/><br/><br/>"
            wrapMode: Text.WordWrap
            horizontalAlignment: Text.Center
        }
        Text {
            anchors.horizontalCenter: background3.horizontalCenter
            anchors.top: background3.bottom
            text: "<br/><b>Graphical effects to your desktop! / Grafikus effekteket a munkaasztalodra!</b><br/><br/>"+
                  "Your choice do you want use graphical effects. / A te választásod, hogy használsz-e a grafikus effekteket<br/>"
            wrapMode: Text.WordWrap
            horizontalAlignment: Text.Center
        }
    }

    Slide {
        Image {
            id: background04
            source: "background.jpg"
            width: 1920; height: 1200
            fillMode: Image.PreserveAspectFit
            anchors.centerIn: parent
        }
        Image {
            id: background4
            source: "desktop-comm-300x225.jpg"
            width: 400; height: 225
            fillMode: Image.PreserveAspectFit
            anchors.centerIn: parent
        }
        Text {
            anchors.horizontalCenter: background4.horizontalCenter
            anchors.top: parent.top
            text: "<h2>blackPanher OS users worldwide - Join to US!</h2><br/>blackPanther OS felhasználók világszerte - Csatlakozz hozzánk!<br/><br/><br/>"
            wrapMode: Text.WordWrap
            horizontalAlignment: Text.Center
        }
        Text {
            anchors.horizontalCenter: background4.horizontalCenter
            anchors.top: background4.bottom
            text: "<br/><b>Wherever you go you will meet our users. / Bárhova mész találkozni fogsz a felhasználóinkkal.</b><br/><br/>"+
                  "We put whole hearts into creating it, all you need is to like us and join us. / A rendszerbe a szívünket is beleadtuk,<br/>"+ 
                  "te csak egy lájkot adj és csatlakozz hozzánk!</br>"
            wrapMode: Text.WordWrap
            horizontalAlignment: Text.Center
        }
    }

    Slide {
        Image {
            id: background05
            source: "background.jpg"
            width: 1920; height: 1200
            fillMode: Image.PreserveAspectFit
            anchors.centerIn: parent
        }
        Image {
            id: background5
            source: "desktop-install.png"
            width: 400; height: 225
            fillMode: Image.PreserveAspectFit
            anchors.centerIn: parent
        }
        Text {
            anchors.horizontalCenter: background5.horizontalCenter
            anchors.top: parent.top
            text: "<h2>This task will soon complete! / Hamarosan elkészül ez a feladat!</h2><br/>www.blackpantheros.eu - www.blackpanther.hu<br/><br/><br/>"
            wrapMode: Text.WordWrap
            horizontalAlignment: Text.Center
        }
        Text {
            anchors.horizontalCenter: background5.horizontalCenter
            anchors.top: background5.bottom
            text: "<br/><b>System and Data security / Rendszer és adatbiztonság</b><br/><br/>"+
                  "While you're patiently waiting, please consider the safety of your data as well and, as a next step, visit our knowledgebase.<br/>"+ 
                  "Amíg türelmesen vársz, gondolkodj el az adataid és a rendszered biztonságán, és látogass majd el a tudásbázisunkba is!</br>"
            wrapMode: Text.WordWrap
            horizontalAlignment: Text.Center
        }
    }

}
